Package libxyz :: Package core :: Module keymanager :: Class KeyManager

[hide private]
[frames] | no frames]

# Class KeyManager

source code

    object --+
             |
            KeyManager

Key bindings management class

Instance Methods | [hide private]

__init__(self, xyz) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code

process(self, pressed, context=None) Process pressed keys | source code

set_prefix(self, shortcut) Set prefix key | source code

load(self, method) Load method | source code

bind(self, method, shortcut, context=None) Bind a shortcut to a method. | source code

_bind_wait_cb(self, plugin_obj, method, shortcut, context) | source code

_bind(self, mobj, shortcut, context=None, force=True) | source code

get_binds(self) Return keybindings data | source code

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Class Variables | [hide private]

| CONTEXT_DEFAULT = `u"DEFAULT"`
| CONTEXT_SELF = `u"@"`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, xyz)
(Constructor)

source code

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Overrides: object.__init__
  (inherited documentation)

### process(self, pressed, context=None)

source code

Process pressed keys

Returns:
  Tuple (method, arguments)

### bind(self, method, shortcut, context=None)

source code

Bind a shortcut to a method. A method can be either a string, in that case it should denote the plugin method or it can be a function.

Returns:
  True on success, False otherwise, also raises exception if method was not loaded